// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	JSONファイルに書き込むデータをフォームから取得
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
const setJsonFromData = () => {

	let newTimeStamp = new Date();
	let JSON_DATA;

	let arrJSONLBScores		= [];
	let arrJSONLBScores1p	= [];
	let arrJSONLBScores2p	= [];
	for (let i = 0; i < scoreLB_1.length; i++) {
		let newScore1p;
		let newScore2p;
		if (YMSB_TYPE_EXPERT == YMSB_JSON_TYPE) {
			newScore1p = scoreLB_1[i].value;
			newScore2p = scoreLB_2[i].value;
		}
		else {
			newScore1p = checkInput(scoreLB_1[i].checked);
			newScore2p = checkInput(scoreLB_2[i].checked);
		}

		// 勝敗のみのデータを生成
		if ((newScore1p == newScore2p) && (0 != newScore1p)) {
			arrJSONLBScores[i] = "3";
		}
		else if (newScore1p > newScore2p) {
			arrJSONLBScores[i] = "1";
		}
		else if (newScore1p < newScore2p) {
			arrJSONLBScores[i] = "2";
		}
		else {
			arrJSONLBScores[i] = "0";
		}

		// それぞれの取得ラウンド数
		arrJSONLBScores1p[i] = newScore1p;
		arrJSONLBScores2p[i] = newScore2p;
	}

	let arrJSONMemberName1p		= [];
	let arrJSONMemberName2p		= [];
	let arrJSONMemberComm1p		= [];
	let arrJSONMemberComm2p		= [];
	let arrJSONMemberLoser1p	= [];
	let arrJSONMemberLoser2p	= [];
	let arrJSONMemberLife1p		= [];
	let arrJSONMemberLife2p		= [];

	let arrJSONBottomTxt		= [jQuery("#bottomText01").val(), jQuery("#bottomText02").val()];

	if (YMSB_TYPE_EXPERT == YMSB_JSON_TYPE) {
		for (let i = 0; i < YMSB_MAX_MEMBER; i++) {
			arrJSONMemberName1p[i]	= memberName_1[i].value;
			arrJSONMemberName2p[i]	= memberName_2[i].value;
			arrJSONMemberComm1p[i]	= memberComm_1[i].value;
			arrJSONMemberComm2p[i]	= memberComm_2[i].value;
			arrJSONMemberLoser1p[i]	= memberLoser_1[i].checked;
			arrJSONMemberLoser2p[i]	= memberLoser_2[i].checked;
			arrJSONMemberLife1p[i]	= memberLife_1[i].value;
			arrJSONMemberLife2p[i]	= memberLife_2[i].value;
		}
		let arrJSONMemberBack1p	= [];
		let arrJSONMemberBack2p	= [];
		for (let i = 0; i < YMSB_MAX_MEMBACK; i++) {
			arrJSONMemberBack1p[i] = memberBack_1[i].value;
			arrJSONMemberBack2p[i] = memberBack_2[i].value;
		}
		arrJSONBottomTxt		= [jQuery("#bottomText01").val(), jQuery("#bottomText02").val()];
	
		JSON_DATA = {
			"pScore1": jQuery("#pScore1").val(),
			"pScore2": jQuery("#pScore2").val(),
			"pStar1": jQuery("#pStar1").val(),
			"pStar2": jQuery("#pStar2").val(),
			"hideMember": jQuery("#hideMember").val(),
			"hideNowMember": jQuery("#hideNowMember").val(),
			"mainAnimation": jQuery("#mainAnimation").val(),
			"winAnime": jQuery("#winAnime").val(),
			"lang": jQuery("#lang").val(),
			"stinger": jQuery("#stinger").val(),
			"stage": jQuery("#stage").val(),
			"pTeamNo1": jQuery("#pTeamNo1").val(),
			"pTeamNo2": jQuery("#pTeamNo2").val(),
			"pName1": jQuery("#pName1").val(),
			"pName2": jQuery("#pName2").val(),
			"pComm1": jQuery("#pComm1").val(),
			"pComm2": jQuery("#pComm2").val(),
			"pLogo1": jQuery("#pLogo1").val(),
			"pLogo2": jQuery("#pLogo2").val(),
			"pNowName1": jQuery("#pNowName1").val(),
			"pNowName2": jQuery("#pNowName2").val(),
			"pBack1": jQuery("#pBack1").val(),
			"pBack2": jQuery("#pBack2").val(),
			"pLoser1": jQuery("#pLoser1").prop("checked"),
			"pLoser2": jQuery("#pLoser2").prop("checked"),
			"mOrder1": jQuery('input[name="mOrder1"]:checked').val(),
			"mOrder2": jQuery('input[name="mOrder2"]:checked').val(),
			"bottomView": jQuery("#bottomView").val(),
			"LBViewRound": jQuery("#LB_Round").prop("checked"),
			"LBAddDraw": jQuery("#LB_Draw").prop("checked"),
			"pNextName1": jQuery("#pNextName1").val(),
			"pNextName2": jQuery("#pNextName2").val(),
			"pNextNo1": jQuery("#pNextNo1").val(),
			"pNextNo2": jQuery("#pNextNo2").val(),
			"bottomImage": jQuery("#bottomImage").val(),
			"bottomSize": jQuery("#bottomSize").val(),
			"scFont": jQuery("#scFont").val(),
			"scSkin": jQuery("#scSkin").val(),
			"hideScore": jQuery("#hideScore").val(),
			"winStar": jQuery("#winStar").val(),
			"fixMemberHeight": jQuery("#fixMemberHeight").val(),
			"maxMemberLives": jQuery("#maxMemberLives").val(),
			"logoSetting": jQuery("#logoSetting").val(),
			"eventName": jQuery("#eventName").val(),
			"eventSwitch": jQuery("#eventSwitch").val(),
			"remoteSwitch": jQuery("#remoteSwitch").val(),
			"remoteWebAPI": "this",
			"stingerType": jQuery("#stingerType").val(),
			"stingerAfter": jQuery("#stingerAfter").val(),
			"stingerTextType": jQuery("#stingerTextType").val(),
			"stingerText": jQuery("#stingerText").val(),
			"stingerWindow":  jQuery("#stingerWindow").val(),
			"stingerImage": jQuery("#stingerImage").val(),
			"timestamp": newTimeStamp.valueOf(),
			"mName1": arrJSONMemberName1p,
			"mName2": arrJSONMemberName2p,
			"mComm1": arrJSONMemberComm1p,
			"mComm2": arrJSONMemberComm2p,
			"mLoser1": arrJSONMemberLoser1p,
			"mLoser2": arrJSONMemberLoser2p,
			"mLife1": arrJSONMemberLife1p,
			"mLife2": arrJSONMemberLife2p,
			"mBack1": arrJSONMemberBack1p,
			"mBack2": arrJSONMemberBack2p,
			"LBScores" : arrJSONLBScores,
			"LBscores1": arrJSONLBScores1p,
			"LBscores2": arrJSONLBScores2p,
			"bottomText": arrJSONBottomTxt
		}
	}
	else {
		for (let i = 0; i < YMSB_MAX_MEMBER; i++) {
			arrJSONMemberName1p[i]	= "";
			arrJSONMemberName2p[i]	= "";
			arrJSONMemberComm1p[i]	= "";
			arrJSONMemberComm2p[i]	= "";
			arrJSONMemberLoser1p[i]	= false;
			arrJSONMemberLoser2p[i]	= false;
			arrJSONMemberLife1p[i]	= "";
			arrJSONMemberLife2p[i]	= "";
		}
		let arrJSONMemberBack1p	= [];
		let arrJSONMemberBack2p	= [];
		for (let i = 0; i < YMSB_MAX_MEMBACK; i++) {
			arrJSONMemberBack1p[i] = "";
			arrJSONMemberBack2p[i] = "";
		}
		arrJSONBottomTxt		= ["", ""];
		JSON_DATA = {
			"pScore1": jQuery("#pScore1").val(),
			"pScore2": jQuery("#pScore2").val(),
			"stage": jQuery("#stage").val(),
			"pTeamNo1": jQuery("#pTeamNo1").val(),
			"pTeamNo2": jQuery("#pTeamNo2").val(),
			"pName1": jQuery("#pName1").val(),
			"pName2": jQuery("#pName2").val(),
			"bottomView": jQuery("#bottomView").val(),
			"LBViewRound": false,
			"LBAddDraw": false,
			"LBScores" : arrJSONLBScores,
			"LBscores1": arrJSONLBScores1p,
			"LBscores2": arrJSONLBScores2p,
			"timestamp": newTimeStamp.valueOf(),

			"pStar1": "0",
			"pStar2": "0",
			"hideMember": "0",
			"hideNowMember": "1",
			"mainAnimation": "1",
			"winAnime": "0",
			"lang": "2",
			"stinger": "0",
			"pComm1": "",
			"pComm2": "",
			"pLogo1": "",
			"pLogo2": "",
			"pNowName1": "",
			"pNowName2": "",
			"pBack1": "",
			"pBack2": "",
			"pLoser1": "0",
			"pLoser2": "0",
			"pOrder1": "0",
			"pOrder2": "0",
			"pNextName1": "",
			"pNextName2": "",
			"pNextNo1": "",
			"pNextNo2": "",
			"bottomImage": "",
			"bottomSize": "0",
			"scFont": "0",
			"scSkin": "0",
			"hideScore": "0",
			"winStar": "0",
			"fixMemberHeight": "0",
			"maxMemberLives": "0",
			"logoSetting": "0",
			"eventName": "",
			"eventSwitch": "0",
			"remoteSwitch": "0",
			"remoteWebAPI": "",
			"stingerType": "0",
			"stingerAfter": "0",
			"stingerTextType": "0",
			"stingerText": "0",
			"stingerWindow":  "",
			"stingerImage": "",
			"mName1": arrJSONMemberName1p,
			"mName2": arrJSONMemberName2p,
			"mComm1": arrJSONMemberComm1p,
			"mComm2": arrJSONMemberComm2p,
			"mLoser1": arrJSONMemberLoser1p,
			"mLoser2": arrJSONMemberLoser2p,
			"mLife1": arrJSONMemberLife1p,
			"mLife2": arrJSONMemberLife2p,
			"mBack1": arrJSONMemberBack1p,
			"mBack2": arrJSONMemberBack2p,
			"bottomText": arrJSONBottomTxt
		}
	}
	return JSON_DATA;
}
